### Method

# Ide Diagnostics get_diagnostic_at_line

#### Declaration

    IdeDiagnostic*
    ide_diagnostics_get_diagnostic_at_line (
      IdeDiagnostics* self,
      GFile* file,
      guint line
    )

#### Description

Locates an `IdeDiagnostic` in `file` at `line`.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| The target file.
| The data is owned by the caller of the function.
`line` | `guint`
| A line number.

#### Return value

Returns: | `IdeDiagnostic`
| An `IdeDiagnostic` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.